Subject: Re: [PATCH] Speed-up pfifo_fast lookup using a bitmap

From: Jarek Poplawski <[email-masked]>
Date: Thu, 13 Aug 2009 11:27:16 +0000

On Thu, Aug 13, 2009 at 04:11:57PM +0530, Krishna Kumar2 wrote:
> > Jarek Poplawski <[email-masked]>
> >
> > > but the test numbers came a little less, since it takes a few more
> > > memory references on enqueue/dequeue.
> >
> > If it's exactly "a little less" I'd consider keeping it private yet...
> 
> Sounds reasonable. To quantify that, I will test again for a longer
> run and report the difference.

Yes, more numbers would be appreciated.

> 
> > Btw, I wonder how much gain of your previous (_CAN_BYPASS) patch is
> > saved after this change...
> 
> The tests are on the latest tree which contains CAN_BYPASS. So a
> single netperf process running this change will get no advantage
> since this enqueue/dequeue never happens unless the NIC is slow.
> But for multiple processes, it should help.

I mean: since the previous patch saved ~2% on omitting enqueue/dequeue,
and now enqueue/dequeue is ~2% faster, is it still worth to omit this?

Regards,
Jarek P.